> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agileloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# POST Action



## OpenAPI

````yaml POST /api/inference/infer
openapi: 3.0.0
info:
  title: Options title
  description: Description from options
  version: 6.0.7-beta
  termsOfService: http://tos.myweb.com
servers:
  - url: https://platform.agileloop.ai
security: []
tags:
  - name: Chat
  - name: Lab1
  - name: Inference
paths:
  /api/inference/infer:
    post:
      tags:
        - Inference
      summary: Infer
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                image_url:
                  type: string
                query:
                  type: string
                  example: click on face in the image.
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````